Simple Virtual Machine A simple but flexible virtual machine

Functions
SVM process sequencer
SVM processes

This module contains API functions to handle SVM process sequencers. More...

## Functions
SVM_FUNCTION SVM_Value_PluginEntryPoint | svm_process_get_sequencer (const void *svm, const SVM_Process process)
| This function returns the name of the sequencer of a process. More...
SVM_FUNCTION void * | svm_process_sequencer_get_internal (const void *svm, const SVM_Process process)
| This function returns the internal structure pointer of the sequencer of a process. More...
SVM_FUNCTION SVM_String | svm_process_sequencer_print (const void *svm, const SVM_Process process)
| This function produces a string representation of the sequencer of a process. More...

## Detailed Description

This module contains API functions to handle SVM process sequencers.

## Function Documentation

## ◆ svm_process_get_sequencer()

SVM_FUNCTION SVM_Value_PluginEntryPoint svm_process_get_sequencer | ( | const void * | svm,
|  | const SVM_Process | process
| ) |  |

This function returns the name of the sequencer of a process.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | process | The process from which the sequencer will be extracted.

Note
  If the process uses the default sequencer, a NULL pointer is returned.

Returns
  The name of the sequencer.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_process_sequencer_get_internal()

SVM_FUNCTION void * svm_process_sequencer_get_internal | ( | const void * | svm,
|  | const SVM_Process | process
| ) |  |

This function returns the internal structure pointer of the sequencer of a process.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | process | The process from which the sequencer will be extracted.

Note
  The returned value does not need to be freed/deleted, as it is managed by the sequencer of the process.
  If the process uses the default sequencer, a NULL pointer is returned.
  When this API function is used on a sequencer, synchronisation mechanisms have to be put in place to protect concurrent access to this structure.

Returns
  The internal structure of the sequencer.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)

## ◆ svm_process_sequencer_print()

SVM_FUNCTION SVM_String svm_process_sequencer_print | ( | const void * | svm,
|  | const SVM_Process | process
| ) |  |

This function produces a string representation of the sequencer of a process.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | process | The process from which the sequencer will be printed.

Returns
  The string representation of the sequencer.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)